Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.base
Class Equivalences

    java.lang.Object
      com.google.common.base.Equivalences

    @Beta
    @GwtCompatible
    public final class Equivalences

extends Object

Contains static factory methods for creating `Equivalence` instances.

All methods return serializable instances.

Since:
  4.0
Author:
  Bob Lee, Kurt Alfred Kluever, Gregory Kick

Method Summary
`static Equivalence<Object>` | `equals()` Deprecated. This method has been moved to `Equivalence.equals()`. This method is scheduled to be removed in Guava release 14.0.
`static Equivalence<Object>` | `identity()` Deprecated. This method has been moved to `Equivalence.identity()`. This method is schedule to be removed in Guava release 14.0.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    @Deprecated
    public static Equivalence<Object> equals()

  Deprecated. This method has been moved to `Equivalence.equals()`. This method is scheduled to be removed in Guava release 14.0.

  Returns an equivalence that delegates to `Object.equals(java.lang.Object)` and `Object.hashCode()`. `Equivalence.equivalent(T, T)` returns `true` if both values are null, or if neither value is null and `Object.equals(java.lang.Object)` returns `true`. `Equivalence.hash(T)` returns `0` if passed a null value.

  Since:
    8.0 (present null-friendly behavior), 4.0 (otherwise)

### identity

    @Deprecated
    public static Equivalence<Object> identity()

  Deprecated. This method has been moved to `Equivalence.identity()`. This method is schedule to be removed in Guava release 14.0.

  Returns an equivalence that uses `==` to compare values and `System.identityHashCode(Object)` to compute the hash code. `Equivalence.equivalent(T, T)` returns `true` if `a == b`, including in the case that a and b are both null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.